# Uses of Class
org.globus.ftp.exception.FTPReplyParseException

Packages that use FTPReplyParseException
Package
Description
org.globus.ftp
org.globus.ftp.exception
org.globus.ftp.vanilla

## Uses of FTPReplyParseException in org.globus.ftp

Methods in org.globus.ftp that throw FTPReplyParseException
Modifier and Type
Method
Description
`protected HostPort`
FTPClient.`get127Reply()`
Reads a GFD.47 compliant 127 reply and extracts the port information from it.

## Uses of FTPReplyParseException in org.globus.ftp.exception

Methods in org.globus.ftp.exception with parameters of type FTPReplyParseException
Modifier and Type
Method
Description
`static ServerException`
ServerException.`embedFTPReplyParseException(FTPReplyParseException rpe)`
`static ServerException`
ServerException.`embedFTPReplyParseException(FTPReplyParseException rpe, String message)`
Constructs server exception with FTPReplyParseException nested in it.

## Uses of FTPReplyParseException in org.globus.ftp.vanilla

Methods in org.globus.ftp.vanilla that throw FTPReplyParseException
Modifier and Type
Method
Description
`Reply`
FTPControlChannel.`exchange(Command cmd)`
Write the command to the control channel, block until reply arrives and return the reply.
`Reply`
FTPControlChannel.`execute(Command cmd)`
Write the command to the control channel, block until reply arrives and check if the command completed successfully (reply code 200).
`abstract Reply`
BasicClientControlChannel.`read()`
`Reply`
FTPControlChannel.`read()`
Block until a reply is available in the control channel.
`Reply`
FTPServerFacade.LocalControlChannel.`read()`
Constructors in org.globus.ftp.vanilla that throw FTPReplyParseException
Modifier
Constructor
Description
``
`Reply(BufferedReader input)`